Extending Qt Creator Manual | ClangToolChain

Extending Qt Creator Manual 4.3.0

# ClangToolChain Class

(ProjectExplorer::ClangToolChain)

Inherits: | ProjectExplorer::GccToolChain

- List of all members, including inherited members

## Public Functions

| ClangToolChain(Detection d)

- 7 public functions inherited from ProjectExplorer::GccToolChain
- 31 public functions inherited from ProjectExplorer::ToolChain

### Additional Inherited Members

- 1 static public member inherited from ProjectExplorer::GccToolChain
- 10 protected functions inherited from ProjectExplorer::GccToolChain
- 2 protected functions inherited from ProjectExplorer::ToolChain
- 1 static protected member inherited from ProjectExplorer::GccToolChain

## Member Function Documentation

### ClangToolChain::ClangToolChain(Detection d)

Default constructs an instance of ClangToolChain.